io.undertow.protocols.http2

## Class Http2Setting

- java.lang.Object
- - io.undertow.protocols.http2.Http2Setting

    public class Http2Setting
    extends Object

A Http2 Setting

Author:
  Stuart Douglas

### Field Summary

Fields
`static int` `SETTINGS_ENABLE_PUSH`
`static int` `SETTINGS_HEADER_TABLE_SIZE`
`static int` `SETTINGS_INITIAL_WINDOW_SIZE`
`static int` `SETTINGS_MAX_CONCURRENT_STREAMS`
`static int` `SETTINGS_MAX_FRAME_SIZE`
`static int` `SETTINGS_MAX_HEADER_LIST_SIZE`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getId()`
`long` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SETTINGS_HEADER_TABLE_SIZE

    public static final int SETTINGS_HEADER_TABLE_SIZE

See Also:
  Constant Field Values

#### SETTINGS_ENABLE_PUSH

    public static final int SETTINGS_ENABLE_PUSH

See Also:
  Constant Field Values

#### SETTINGS_MAX_CONCURRENT_STREAMS

    public static final int SETTINGS_MAX_CONCURRENT_STREAMS

See Also:
  Constant Field Values

#### SETTINGS_INITIAL_WINDOW_SIZE

    public static final int SETTINGS_INITIAL_WINDOW_SIZE

See Also:
  Constant Field Values

#### SETTINGS_MAX_FRAME_SIZE

    public static final int SETTINGS_MAX_FRAME_SIZE

See Also:
  Constant Field Values

#### SETTINGS_MAX_HEADER_LIST_SIZE

    public static final int SETTINGS_MAX_HEADER_LIST_SIZE

See Also:
  Constant Field Values

### Method Detail

#### getId

    public int getId()

#### getValue

    public long getValue()